# pandas.TimedeltaIndex

class pandas.TimedeltaIndex(data=None, unit=None, freq=NoDefault.no_default, closed=None, dtype=dtype('<m8[ns]'), copy=False, name=None)

  Immutable ndarray of timedelta64 data, represented internally as int64, and which can be boxed to timedelta objects.

  Parameters
    data array-like (1-dimensional), optional

      Optional timedelta-like data to construct index with.

    unit unit of the arg (D,h,m,s,ms,us,ns) denote the unit, optional

      Which is an integer/float number.

    freq str or pandas offset object, optional

      One of pandas date offset strings or corresponding objects. The string ‘infer’ can be passed in order to set the frequency of the index as the inferred frequency upon creation.

    copy bool

      Make a copy of input ndarray.

    name object

      Name to be stored in the index.

  See also

  `Index`

    The base pandas Index type.

  `Timedelta`

    Represents a duration between two dates or times.

  `DatetimeIndex`

    Index of datetime64 data.

  `PeriodIndex`

    Index of Period data.

  `timedelta_range`

    Create a fixed-frequency TimedeltaIndex.

  Notes

  To learn more about the frequency strings, please see this link.

  Attributes

  `days` | Number of days for each element.
  `seconds` | Number of seconds (>= 0 and less than 1 day) for each element.
  `microseconds` | Number of microseconds (>= 0 and less than 1 second) for each element.
  `nanoseconds` | Number of nanoseconds (>= 0 and less than 1 microsecond) for each element.
  `components` | Return a dataframe of the components (days, hours, minutes, seconds, milliseconds, microseconds, nanoseconds) of the Timedeltas.
  `inferred_freq` | Tries to return a string representing a frequency guess, generated by infer_freq.

  Methods

  `to_pytimedelta`(*args, **kwargs) | Return Timedelta Array/Index as object ndarray of datetime.timedelta objects.
  `to_series`([index, name]) | Create a Series with both index and values equal to the index keys.
  `round`(*args, **kwargs) | Perform round operation on the data to the specified freq.
  `floor`(*args, **kwargs) | Perform floor operation on the data to the specified freq.
  `ceil`(*args, **kwargs) | Perform ceil operation on the data to the specified freq.
  `to_frame`([index, name]) | Create a DataFrame with a column containing the Index.
  `mean`(*args, **kwargs) | Return the mean value of the Array.